it.csi.mddtools.guigen

## Interface MapViewGadgets

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MapViewGadgets
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Map View Gadgets'.

  The following features are supported:

  - `Layer Switcher`
  - `Background Map Map Service Name`
  - `Background Map Switcher Label`
  - `Background Photo Aerial Map Service Name`
  - `Background Photo Aerial Switcher Label`
  - `Point Editing Active`
  - `Line Editing Active`
  - `Polygon Editing Active`
  - `Modify Editing Active`
  See Also:
    `GuigenPackage.getMapViewGadgets()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundMapMapServiceName()` Returns the value of the 'Background Map Map Service Name' attribute
    `java.lang.String` | `getBackgroundMapSwitcherLabel()` Returns the value of the 'Background Map Switcher Label' attribute
    `java.lang.String` | `getBackgroundPhotoAerialMapServiceName()` Returns the value of the 'Background Photo Aerial Map Service Name' attribute
    `java.lang.String` | `getBackgroundPhotoAerialSwitcherLabel()` Returns the value of the 'Background Photo Aerial Switcher Label' attribute
    `boolean` | `isLayerSwitcher()` Returns the value of the 'Layer Switcher' attribute.
    `boolean` | `isLineEditingActive()` Returns the value of the 'Line Editing Active' attribute
    `boolean` | `isModifyEditingActive()` Returns the value of the 'Modify Editing Active' attribute
    `boolean` | `isPointEditingActive()` Returns the value of the 'Point Editing Active' attribute
    `boolean` | `isPolygonEditingActive()` Returns the value of the 'Polygon Editing Active' attribute
    `void` | `setBackgroundMapMapServiceName(java.lang.String value)` Sets the value of the '`Background Map Map Service Name`' attribute
    `void` | `setBackgroundMapSwitcherLabel(java.lang.String value)` Sets the value of the '`Background Map Switcher Label`' attribute
    `void` | `setBackgroundPhotoAerialMapServiceName(java.lang.String value)` Sets the value of the '`Background Photo Aerial Map Service Name`' attribute
    `void` | `setBackgroundPhotoAerialSwitcherLabel(java.lang.String value)` Sets the value of the '`Background Photo Aerial Switcher Label`' attribute
    `void` | `setLayerSwitcher(boolean value)` Sets the value of the '`Layer Switcher`' attribute
    `void` | `setLineEditingActive(boolean value)` Sets the value of the '`Line Editing Active`' attribute
    `void` | `setModifyEditingActive(boolean value)` Sets the value of the '`Modify Editing Active`' attribute
    `void` | `setPointEditingActive(boolean value)` Sets the value of the '`Point Editing Active`' attribute
    `void` | `setPolygonEditingActive(boolean value)` Sets the value of the '`Polygon Editing Active`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isLayerSwitcher

          boolean isLayerSwitcher()

      Returns the value of the 'Layer Switcher' attribute. The default value is `"false"`.

      If the meaning of the 'Layer Switcher' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Layer Switcher' attribute.
      See Also:
        `setLayerSwitcher(boolean)`, `GuigenPackage.getMapViewGadgets_LayerSwitcher()`

    - #### setLayerSwitcher

          void setLayerSwitcher(boolean value)

      Sets the value of the '`Layer Switcher`' attribute.
      Parameters:
        `value` - the new value of the 'Layer Switcher' attribute.
      See Also:
        `isLayerSwitcher()`

    - #### getBackgroundMapMapServiceName

          java.lang.String getBackgroundMapMapServiceName()

      Returns the value of the 'Background Map Map Service Name' attribute.

      If the meaning of the 'Background Map Map Service Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Background Map Map Service Name' attribute.
      See Also:
        `setBackgroundMapMapServiceName(String)`, `GuigenPackage.getMapViewGadgets_BackgroundMapMapServiceName()`

    - #### setBackgroundMapMapServiceName

          void setBackgroundMapMapServiceName(java.lang.String value)

      Sets the value of the '`Background Map Map Service Name`' attribute.
      Parameters:
        `value` - the new value of the 'Background Map Map Service Name' attribute.
      See Also:
        `getBackgroundMapMapServiceName()`

    - #### getBackgroundMapSwitcherLabel

          java.lang.String getBackgroundMapSwitcherLabel()

      Returns the value of the 'Background Map Switcher Label' attribute.

      If the meaning of the 'Background Map Switcher Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Background Map Switcher Label' attribute.
      See Also:
        `setBackgroundMapSwitcherLabel(String)`, `GuigenPackage.getMapViewGadgets_BackgroundMapSwitcherLabel()`

    - #### setBackgroundMapSwitcherLabel

          void setBackgroundMapSwitcherLabel(java.lang.String value)

      Sets the value of the '`Background Map Switcher Label`' attribute.
      Parameters:
        `value` - the new value of the 'Background Map Switcher Label' attribute.
      See Also:
        `getBackgroundMapSwitcherLabel()`

    - #### getBackgroundPhotoAerialMapServiceName

          java.lang.String getBackgroundPhotoAerialMapServiceName()

      Returns the value of the 'Background Photo Aerial Map Service Name' attribute.

      If the meaning of the 'Background Photo Aerial Map Service Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Background Photo Aerial Map Service Name' attribute.
      See Also:
        `setBackgroundPhotoAerialMapServiceName(String)`, `GuigenPackage.getMapViewGadgets_BackgroundPhotoAerialMapServiceName()`

    - #### setBackgroundPhotoAerialMapServiceName

          void setBackgroundPhotoAerialMapServiceName(java.lang.String value)

      Sets the value of the '`Background Photo Aerial Map Service Name`' attribute.
      Parameters:
        `value` - the new value of the 'Background Photo Aerial Map Service Name' attribute.
      See Also:
        `getBackgroundPhotoAerialMapServiceName()`

    - #### getBackgroundPhotoAerialSwitcherLabel

          java.lang.String getBackgroundPhotoAerialSwitcherLabel()

      Returns the value of the 'Background Photo Aerial Switcher Label' attribute.

      If the meaning of the 'Background Photo Aerial Switcher Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Background Photo Aerial Switcher Label' attribute.
      See Also:
        `setBackgroundPhotoAerialSwitcherLabel(String)`, `GuigenPackage.getMapViewGadgets_BackgroundPhotoAerialSwitcherLabel()`

    - #### setBackgroundPhotoAerialSwitcherLabel

          void setBackgroundPhotoAerialSwitcherLabel(java.lang.String value)

      Sets the value of the '`Background Photo Aerial Switcher Label`' attribute.
      Parameters:
        `value` - the new value of the 'Background Photo Aerial Switcher Label' attribute.
      See Also:
        `getBackgroundPhotoAerialSwitcherLabel()`

    - #### isPointEditingActive

          boolean isPointEditingActive()

      Returns the value of the 'Point Editing Active' attribute.

      If the meaning of the 'Point Editing Active' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Point Editing Active' attribute.
      See Also:
        `setPointEditingActive(boolean)`, `GuigenPackage.getMapViewGadgets_PointEditingActive()`

    - #### setPointEditingActive

          void setPointEditingActive(boolean value)

      Sets the value of the '`Point Editing Active`' attribute.
      Parameters:
        `value` - the new value of the 'Point Editing Active' attribute.
      See Also:
        `isPointEditingActive()`

    - #### isLineEditingActive

          boolean isLineEditingActive()

      Returns the value of the 'Line Editing Active' attribute.

      If the meaning of the 'Line Editing Active' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Line Editing Active' attribute.
      See Also:
        `setLineEditingActive(boolean)`, `GuigenPackage.getMapViewGadgets_LineEditingActive()`

    - #### setLineEditingActive

          void setLineEditingActive(boolean value)

      Sets the value of the '`Line Editing Active`' attribute.
      Parameters:
        `value` - the new value of the 'Line Editing Active' attribute.
      See Also:
        `isLineEditingActive()`

    - #### isPolygonEditingActive

          boolean isPolygonEditingActive()

      Returns the value of the 'Polygon Editing Active' attribute.

      If the meaning of the 'Polygon Editing Active' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Polygon Editing Active' attribute.
      See Also:
        `setPolygonEditingActive(boolean)`, `GuigenPackage.getMapViewGadgets_PolygonEditingActive()`

    - #### setPolygonEditingActive

          void setPolygonEditingActive(boolean value)

      Sets the value of the '`Polygon Editing Active`' attribute.
      Parameters:
        `value` - the new value of the 'Polygon Editing Active' attribute.
      See Also:
        `isPolygonEditingActive()`

    - #### isModifyEditingActive

          boolean isModifyEditingActive()

      Returns the value of the 'Modify Editing Active' attribute.

      If the meaning of the 'Modify Editing Active' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Modify Editing Active' attribute.
      See Also:
        `setModifyEditingActive(boolean)`, `GuigenPackage.getMapViewGadgets_ModifyEditingActive()`

    - #### setModifyEditingActive

          void setModifyEditingActive(boolean value)

      Sets the value of the '`Modify Editing Active`' attribute.
      Parameters:
        `value` - the new value of the 'Modify Editing Active' attribute.
      See Also:
        `isModifyEditingActive()`